Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004285TestLinkReportspublic2011-03-01 16:332011-05-23 21:47
Reporterwebdowser 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusassignedResolutionreopened 
PlatformPCOSWindows 7OS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.2 (2011 Q2 - bug fixing) 
Summary0004285: Test Metrics shows results from inactive builds
DescriptionI have completed the execution of test cases for one build and can see all the charts and results for the same.. But when i execute the same test cases for the new/ next build, the results for previously executed builds are visible even though the previous build was de-activated and the current build is active and open
Steps To Reproduce-Create a build (1) and assign some tests
-Execute tests on this same build, mark some tests failed
-Deactive (1)
-Create a new build (2)
-Execute the same tests but marking the failed ones passed
-Generate report metrics
-The failed results from build(1) which is deactivated still show up in the test report

TagsNo tags attached.
Database (MySQL,Postgres,etc)Jira
BrowserFirefox 3.6
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon issue_4285.ods [^] (18,028 bytes) 2011-03-16 08:39

- Relationships
parent of 0004328closedfman Metrics dashboard - only active builds has to be used 
parent of 0002686closedJulian Test Report only includes the latest execution for a Test Plan 
parent of 0004362closedfman metricsDashboard not working properly with platforms defined 
has duplicate 0004629closedJulian Not Run Test Cases report uses inactive builds 

-  Notes
(0013770)
Julian (reporter)
2011-03-02 20:39

-Generate report metrics

I do not know what report metrics are. Please check the exact name of the report you mean
(0013776)
webdowser (reporter)
2011-03-03 09:54

Hi Julian,

You can get to the reports I meant in Test Reports> Bug per test case

or

through the Test Execution menu (middle right main page) > Metrics Dashboard

I hope that this clarifies the bug for you
(0013777)
Julian (reporter)
2011-03-03 10:01

Are these the only reports ?
Please identify other reports that do also consider inactive builds.
I will try to get an overview of effort to fix this issue.
(0013778)
Julian (reporter)
2011-03-03 11:39

1. General Test Plan Metrics
1.1 Overall Build Stauts: Shows only active builds
1.2 Results by top level Test Suites: shows all builds
1.3 Test results according to test priorities: shows all builds

2. Results by Tester per Build: shows only active builds
(0013779)
webdowser (reporter)
2011-03-03 14:53

The other ones are

-Failed test cases: shows inactive builds
-Test cases with execution details: shows inactive builds

Let me know if you need anything else
(0013912)
fman (administrator)
2011-03-18 19:07

release - 1.9.2 - 20110320
(0014693)
Julian (reporter)
2011-04-17 15:22

have all reports been fixed - don't think so
(0014698)
Julian (reporter)
2011-04-17 17:48

Reminder sent to: fman

Please contact me to decide how to proceed with this issue
(0014909)
cjamesqa (reporter)
2011-05-23 20:01
edited on: 2011-05-23 20:01

Not run Test Cases: this still considers inactive builds.

(0014912)
Julian (reporter)
2011-05-23 21:47

Have you checked the attached file, before giving us this information?

- Issue History
Date Modified Username Field Change
2011-03-01 16:33 webdowser New Issue
2011-03-02 20:39 Julian Note Added: 0013770
2011-03-03 09:08 Julian Status new => feedback
2011-03-03 09:54 webdowser Note Added: 0013776
2011-03-03 09:54 webdowser Status feedback => new
2011-03-03 10:01 Julian Note Added: 0013777
2011-03-03 11:39 Julian Note Added: 0013778
2011-03-03 14:53 webdowser Note Added: 0013779
2011-03-16 08:37 Julian Relationship added parent of 0004328
2011-03-16 08:39 Julian File Added: issue_4285.ods
2011-03-16 17:07 Julian Relationship added parent of 0002686
2011-03-17 18:48 fman Status new => resolved
2011-03-17 18:48 fman Fixed in Version => 1.9.2 (2011 Q2 - bug fixing)
2011-03-17 18:48 fman Resolution open => fixed
2011-03-17 18:48 fman Assigned To => fman
2011-03-18 19:07 fman Note Added: 0013912
2011-03-18 19:07 fman Status resolved => closed
2011-03-30 08:40 Julian Relationship added parent of 0004362
2011-04-17 15:22 Julian Note Added: 0014693
2011-04-17 15:22 Julian Status closed => assigned
2011-04-17 15:22 Julian Resolution fixed => reopened
2011-04-17 17:48 Julian Note Added: 0014698
2011-05-23 20:01 cjamesqa Note Added: 0014909
2011-05-23 20:01 cjamesqa Note Edited: 0014909 View Revisions
2011-05-23 21:47 Julian Note Added: 0014912
2011-06-21 15:11 Julian Relationship added has duplicate 0004629



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker